%define upstream_name    Pod-Weaver-Section-Extends
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Add a list of parent classes to your POD
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Load)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Elemental::Element::Nested)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(aliased)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This the Pod::Weaver manpage section plugin creates an "EXTENDS" section in
your POD which will contain a list of your class's parent classes. It
accomplishes this by attempting to compile your class and inspecting its
'@ISA'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-6.mga6
+ Revision: 1032353
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.9.0-5.mga6
+ Revision: 946243
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 743412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 686042
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 525258
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.9.0-1.mga4
+ Revision: 432815
- update to 0.009

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-3.mga3
+ Revision: 372072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.8.0-2.mga3
+ Revision: 252432
- Fix license
- imported package perl-Pod-Weaver-Section-Extends


* Tue Apr 10 2012 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
